/*
*  email-service
*
* Copyright (c) 2012 - 2013 Samsung Electronics Co., Ltd. All rights reserved.
*
* Contact: Kyuho Jo <kyuho.jo@samsung.com>, Sunghyun Kwon <sh0701.kwon@samsung.com>
* 
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*
*/


/******************************************************************************
 * File :  email-device.h
 * Desc :  email-core Device Library Header
 *
 * Auth : 
 *
 * History : 
 *    2012.02.20  :  created
 *****************************************************************************/
#ifndef __EMAIL_DEVICE_H__
#define __EMAIL_DEVICE_H__

#ifdef __cplusplus
extern "C"
{
#endif /* __cplusplus */

#include "email-internal-types.h"

#define DISPLAY_STATE_OFF 0
#define DISPLAY_STATE_DIM 1
#define DISPLAY_STATE_ON  2

typedef enum {
	STAY_AWAKE_FLAG_FOR_RECEVING_WORKER = 0,
	STAY_AWAKE_FLAG_FOR_SENDING_WORKER,
	STAY_AWAKE_FLAG_FOR_PARTIAL_BODY_WORKER,
	STAY_AWAKE_FLAG_FOR_ALARM_CALLBACK,
	STAY_AWAKE_FLAG_MAX,
} email_stay_awake_flag_owner_t;

INTERNAL_FUNC int emdevice_set_sleep_on_off(email_stay_awake_flag_owner_t input_flag_owner, int input_allow_to_sleep, int *error_code);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __EMAIL_DEVICE_H__ */
